- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QDockWidget Class Reference

Search for all occurrences

## Detailed Description

Definition at line 60 of file qdockwidget.h.

`#include <qdockwidget.h>`

Inheritance diagram for QDockWidget:
[legend]

List of all members.

## Public Types
enum | DockWidgetFeature { DockWidgetClosable = 0x01, DockWidgetMovable = 0x02, DockWidgetFloatable = 0x04, DockWidgetVerticalTitleBar = 0x08, DockWidgetFeatureMask = 0x0f, AllDockWidgetFeatures = DockWidgetClosable|DockWidgetMovable|DockWidgetFloatable, NoDockWidgetFeatures = 0x00, Reserved = 0xff }
## Signals
void | featuresChanged (QDockWidget::DockWidgetFeatures features)
void | topLevelChanged (bool topLevel)
void | allowedAreasChanged (Qt::DockWidgetAreas allowedAreas)
void | visibilityChanged (bool visible)
void | dockLocationChanged (Qt::DockWidgetArea area)
## Public Member Functions
| QDockWidget (const QString &title, QWidget *parent=0, Qt::WindowFlags flags=0)
| QDockWidget (QWidget *parent=0, Qt::WindowFlags flags=0)
| ~QDockWidget ()
QWidget * | widget () const
void | setWidget (QWidget *widget)
void | setFeatures (DockWidgetFeatures features)
DockWidgetFeatures | features () const
void | setFloating (bool floating)
bool | isFloating () const
void | setAllowedAreas (Qt::DockWidgetAreas areas)
Qt::DockWidgetAreas | allowedAreas () const
void | setTitleBarWidget (QWidget *widget)
QWidget * | titleBarWidget () const
bool | isAreaAllowed (Qt::DockWidgetArea area) const
QAction * | toggleViewAction () const
## Protected Member Functions
void | changeEvent (QEvent *event)
void | closeEvent (QCloseEvent *event)
void | paintEvent (QPaintEvent *event)
bool | event (QEvent *event)
void | initStyleOption (QStyleOptionDockWidget *option) const
## Properties
bool | floating
DockWidgetFeatures | features
Qt::DockWidgetAreas | allowedAreas
QString | windowTitle
## Friends
class | QDockWidgetItem
class | QMainWindowLayout
class | QDockWidgetLayout
class | QDockAreaLayoutInfo

## Member Enumeration Documentation

enum DockWidgetFeature

Search for all occurrences

Enumerator:

  DockWidgetClosable | Search for all occurrences
  DockWidgetMovable | Search for all occurrences
  DockWidgetFloatable | Search for all occurrences
  DockWidgetVerticalTitleBar | Search for all occurrences
  DockWidgetFeatureMask | Search for all occurrences
  AllDockWidgetFeatures | Search for all occurrences
  NoDockWidgetFeatures | Search for all occurrences
  Reserved | Search for all occurrences

Definition at line 79 of file qdockwidget.h.

                               {
            DockWidgetClosable    = 0x01,
            DockWidgetMovable     = 0x02,
            DockWidgetFloatable   = 0x04,
            DockWidgetVerticalTitleBar = 0x08,

            DockWidgetFeatureMask = 0x0f,
            AllDockWidgetFeatures = DockWidgetClosable|DockWidgetMovable|DockWidgetFloatable, // ### remove in 5.0
            NoDockWidgetFeatures  = 0x00,

            Reserved              = 0xff
        };

## Constructor & Destructor Documentation

QDockWidget | ( | const QString & | title,
|  | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

QDockWidget | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[explicit]`

~QDockWidget | ( |  | ) |

## Member Function Documentation

QWidget* widget | ( |  | ) | const

Search for all occurrences

void setWidget | ( | QWidget * | widget | ) |

Search for all occurrences

void setFeatures | ( | DockWidgetFeatures | features | ) |

Search for all occurrences

DockWidgetFeatures features | ( |  | ) | const

Search for all occurrences

void setFloating | ( | bool | floating | ) |

Search for all occurrences

bool isFloating | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 97 of file qdockwidget.h.

    { return isWindow(); }

void setAllowedAreas | ( | Qt::DockWidgetAreas | areas | ) |

Search for all occurrences

Qt::DockWidgetAreas allowedAreas | ( |  | ) | const

Search for all occurrences

void setTitleBarWidget | ( | QWidget * | widget | ) |

Search for all occurrences

QWidget* titleBarWidget | ( |  | ) | const

Search for all occurrences

bool isAreaAllowed | ( | Qt::DockWidgetArea | area | ) | const `[inline]`

Search for all occurrences

Definition at line 105 of file qdockwidget.h.

        { return (allowedAreas() & area) == area; }

QAction* toggleViewAction | ( |  | ) | const

Search for all occurrences

void featuresChanged | ( | QDockWidget::DockWidgetFeatures | features | ) | `[signal]`

Search for all occurrences

void topLevelChanged | ( | bool | topLevel | ) | `[signal]`

Search for all occurrences

void allowedAreasChanged | ( | Qt::DockWidgetAreas | allowedAreas | ) | `[signal]`

Search for all occurrences

void visibilityChanged | ( | bool | visible | ) | `[signal]`

Search for all occurrences

void dockLocationChanged | ( | Qt::DockWidgetArea | area | ) | `[signal]`

Search for all occurrences

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void closeEvent | ( | QCloseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionDockWidget * | option | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QDockWidgetItem `[friend]`

Search for all occurrences

Definition at line 132 of file qdockwidget.h.

friend class QMainWindowLayout `[friend]`

Search for all occurrences

Definition at line 133 of file qdockwidget.h.

friend class QDockWidgetLayout `[friend]`

Search for all occurrences

Definition at line 134 of file qdockwidget.h.

friend class QDockAreaLayoutInfo `[friend]`

Search for all occurrences

Definition at line 135 of file qdockwidget.h.

## Property Documentation

bool floating `[read, write]`

Search for all occurrences

Definition at line 65 of file qdockwidget.h.

DockWidgetFeatures features `[read, write]`

Search for all occurrences

Definition at line 66 of file qdockwidget.h.

Qt::DockWidgetAreas allowedAreas `[read, write]`

Search for all occurrences

Definition at line 68 of file qdockwidget.h.

QString windowTitle `[read, write]`

Search for all occurrences

Reimplemented from QWidget.

Definition at line 69 of file qdockwidget.h.

The documentation for this class was generated from the following file:

- QtGui/qdockwidget.h

QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget
QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget QDockWidget